All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.models
Class AppliedFiltersUtil

    com.sas.swing.models.AppliedFiltersUtil

    public class AppliedFiltersUtil

Utility class containing utility methods to obtain String representations of filters applied to a com.sas.iquery.intelligentquery.BusinessQueryProviderInterface or a com.sas.iquery.metadata.business.DataSelection. Used by the com.sas.servlet.tbeans.html.AppliedFilters tranformation bean.

Field Summary
`static java.lang.String` | `CONDITION_FORMAT_SYMBOL` Constant defining a format type to format filter expressions using symbols for the conditions (for example, use ">" versus "greater than")
`static java.lang.String` | `CONDITION_FORMAT_SYMBOL_NO_LABEL` Constant defining a format type to format filter expressions containing no labels and using symbols for the conditions (for example, use ">" versus "greater than")
`static java.lang.String` | `CONDITION_FORMAT_TEXT` Constant defining a format type to format filter expressions using words for the conditions (for example, use "greater than" versus ">")
`static java.lang.String` | `CONDITION_FORMAT_TEXT_NO_LABEL` Constant defining a format type to format filter expressions containing no labels and using words for the conditions (for example, use "greater than" versus ">")
`static java.lang.String` | `CONTAINS` Format key defining the format used to format filter expressions containing the "contains" condition.
`static java.lang.String` | `DOES_NOT_CONTAIN` Format key defining the format used to format filter expressions containing the "does not contain" condition.
`static java.lang.String` | `FILTER_LABEL_SPAN` Constant to identify text to put in span tag surrounding filter labels.
`static java.lang.String` | `FILTER_TEXT_SPAN` Constant to identify text to put in span tag surrounding filter text.
`static java.lang.String` | `IS_AFTER` Format key defining the format used to format date, time, or timestamp filter expressions containing the "after" condition.
`static java.lang.String` | `IS_AFTER_OR_EQUAL` Format key defining the format used to format date, time, or timestamp filter expressions containing the "after or equal to" condition.
`static java.lang.String` | `IS_BEFORE` Format key defining the format used to format date, time, or timestamp filter expressions containing the "before" condition.
`static java.lang.String` | `IS_BEFORE_OR_EQUAL` Format key defining the format used to format date, time, or timestamp filter expressions containing the "before or equal to" condition.
`static java.lang.String` | `IS_BETWEEN` Format key defining the format used to format filter expressions containing the "is between" condition.
`static java.lang.String` | `IS_EQUALS` Format key defining the format used to format filter expressions containing the "equals" condition.
`static java.lang.String` | `IS_GREATER_THAN` Format key defining the format used to format filter expressions containing the "greater than" condition.
`static java.lang.String` | `IS_GREATER_THAN_OR_EQUAL` Format key defining the format used to format filter expressions containing the "greater than or equals" condition.
`static java.lang.String` | `IS_IN_LIST` Format key defining the format used to format filter expressions containing the "in list" condition.
`static java.lang.String` | `IS_IN_LIST_OR_EQUAL_TO` Format key defining the format used to format filter expressions containing the "is in list or equal to" condition.
`static java.lang.String` | `IS_LESS_THAN` Format key defining the format used to format filter expressions containing the "less than" condition.
`static java.lang.String` | `IS_LESS_THAN_OR_EQUAL` Format key defining the format used to format filter expressions containing the "less than or equals" condition.
`static java.lang.String` | `IS_MISSING_VALUE` Format key defining the format used to format filter expressions containing the "is missing value" condition.
`static java.lang.String` | `IS_NOT_BETWEEN` Format key defining the format used to format filter expressions containing the "is not between" condition.
`static java.lang.String` | `IS_NOT_EQUALS` Format key defining the format used to format filter expressions containing the "not equals" condition.
`static java.lang.String` | `IS_NOT_IN_LIST` Format key defining the format used to format filter expressions containing the "not in list" condition.
`static java.lang.String` | `IS_NOT_IN_LIST_OR_EQUAL_TO` Format key defining the format used to format filter expressions containing the "is not in list or equal to" condition.
`static java.lang.String` | `IS_NOT_MISSING_VALUE` Format key defining the format used to format filter expressions containing the "is not missing value" condition.
`static java.lang.String` | `IS_NOT_NULL` Format key defining the format used to format filter expressions containing the "is not null" condition.
`static java.lang.String` | `IS_NULL` Format key defining the format used to format filter expressions containing the "is null" condition.
`static java.lang.String` | `LIKE` Format key defining the format used to format filter expressions containing the "like" condition.
`static java.lang.String` | `LOGICAL_OPERATOR_SPAN` Constant to identify text to put in span tag surrounding filter logical operators.
`static java.lang.String` | `NOT_LIKE` Format key defining the format used to format filter expressions containing the "not like" condition.
`static java.lang.String` | `OLAP_EQUAL_TO` Format key defining the format used to format OLAP member filter expressions containing the "equals" condition.
`static java.lang.String` | `OLAP_IS_NOT_EQUAL_TO` Format key defining the format used to format OLAP member filter expressions containing the "not equals" condition.
`static java.lang.String` | `OLAPFILTERS_ALL` Constant indicating all applied OLAP filters will be described.
`static java.lang.String` | `OLAPFILTERS_BUSINESSQUERY_STEPS_ONLY` Constant indicating only OLAP applied BusinessQuery role step filters will be described.
`static java.lang.String` | `OLAPFILTERS_IGNORE_BUSINESSQUERY_STEPS` Constant indicating OLAP BusinessQuery role step filters will be ignored.
`static java.lang.String` | `OUTPUT_TYPE`
`static java.lang.String` | `OUTPUT_TYPE_HTML`
`static java.lang.String` | `OUTPUT_TYPE_TEXT`
`static java.lang.String` | `PROMPT_FORMAT` Format key defining the format used to describe a Prompt.
`static java.lang.String` | `RANK_SUM_WITH_TIES` Format key defining the format used to format a ranking sum filter including ties.
`static java.lang.String` | `RANK_SUM_WITHOUT_TIES` Format key defining the format used to format a ranking sum filter not including ties.
`static java.lang.String` | `RANK_WITH_TIES` Format key defining the format used to format a ranking filter including ties.
`static java.lang.String` | `RANK_WITHOUT_TIES` Format key defining the format used to format a ranking filter not including ties.
`static java.lang.String` | `RB_KEY`
`static java.lang.String` | `ROW_COLUMN_FILTER` Format key defining the format used to format a row or column filter.
`static java.lang.String` | `STEP_FILTER` Format key defining the format used to format a data item step filter.
`static java.lang.String` | `TIME_FIRST_PERIODS_FILTER`
`static java.lang.String` | `TIME_FIRST_PERIODS_RELATIVE_FILTER`
`static java.lang.String` | `TIME_LAST_PERIODS_FILTER`
`static java.lang.String` | `TIME_LAST_PERIODS_RELATIVE_FILTER`
`static java.lang.String` | `TIME_PARALLEL_PERIODS_ABSOLUTE_TO_ABSOLUTE_FILTER`
`static java.lang.String` | `TIME_PARALLEL_PERIODS_ABSOLUTE_TO_RELATIVE_FILTER`
`static java.lang.String` | `TIME_PARALLEL_PERIODS_RELATIVE_TO_ABSOLUTE_FILTER`
`static java.lang.String` | `TIME_PARALLEL_PERIODS_RELATIVE_TO_RELATIVE_FILTER`
`static java.lang.String` | `TIME_RANGE_ABSOLUTE_TO_ABSOLUTE_FILTER`
`static java.lang.String` | `TIME_RANGE_ABSOLUTE_TO_RELATIVE_FILTER`
`static java.lang.String` | `TIME_RANGE_RELATIVE_TO_ABSOLUTE_FILTER`
`static java.lang.String` | `TIME_RANGE_RELATIVE_TO_RELATIVE_FILTER`

Constructor Summary
`AppliedFiltersUtil()`

Method Summary
`static java.util.List` | `getAppliedFilters(java.lang.Object model)` Returns a List of Strings representing the filters applied to the model for the default locale.
`static java.util.List` | `getAppliedFilters(java.lang.Object model, boolean treatAsAncestorQuery, com.sas.swing.models.DataItemRoleProvider dataItemRoleProvider, java.util.Locale locale, boolean wrapText, java.util.Map spanInfo, java.util.Map conditionFormatMap, java.text.Format relationalFilterValueFormatter, java.lang.String labelSeparator, int relationalOutputType, boolean useUnfilteredMetadata, boolean fullyQualifyMemberNames, boolean displayHiddenOLAPFilterItems, java.lang.String olapFilterOutputType)` Returns a List of Strings representing the filters applied to the model.
`static java.util.List` | `getAppliedFilters(java.lang.Object model, com.sas.swing.models.DataItemRoleProvider dataItemRoleProvider, java.util.Locale locale, boolean wrapText, java.util.Map spanInfo, java.util.Map conditionFormatMap, java.text.Format relationalFilterValueFormatter, java.lang.String labelSeparator, int relationalOutputType)` Returns a List of Strings representing the filters applied to the model.
`static java.util.List` | `getAppliedFilters(java.lang.Object model, com.sas.swing.models.DataItemRoleProvider dataItemRoleProvider, java.util.Locale locale, boolean wrapText, java.util.Map spanInfo, java.util.Map conditionFormatMap, java.text.Format relationalFilterValueFormatter, java.lang.String labelSeparator, int relationalOutputType, boolean useUnfilteredMetadata)` Returns a List of Strings representing the filters applied to the model.
`static java.util.List` | `getAppliedFilters(java.lang.Object model, java.util.Locale locale, boolean wrapText)` Returns a List of Strings representing the filters applied to the model.
`static java.util.List` | `getAppliedFilters(java.lang.Object model, java.util.Locale locale, boolean wrapText, java.util.Map spanInfo, java.util.Map conditionFormatMap, java.text.Format relationalFilterValueFormatter, java.lang.String labelSeparator)` Returns a List of Strings representing the filters applied to the model.
`static java.util.List` | `getAppliedFilters(java.lang.Object model, java.util.Locale locale, boolean wrapText, java.util.Map spanInfo, java.util.Map conditionFormatMap, java.text.Format relationalFilterValueFormatter, java.lang.String labelSeparator, int relationalOutputType)` Returns a List of Strings representing the filters applied to the model.
`static java.util.List` | `getAppliedFiltersAndOperatorsList(com.sas.iquery.metadata.business.BusinessQuery bq, boolean treatAsAncestorQuery, com.sas.swing.models.DataItemRoleProvider dataItemRoleProvider, java.util.Locale locale, java.util.Map spanInfo, java.util.Map conditionFormatMap, java.text.Format relationalFilterValueFormatter, java.lang.String labelSeparator, boolean useUnfilteredMetadata)`
`static java.util.List` | `getAppliedFiltersAndOperatorsList(com.sas.iquery.metadata.business.BusinessQuery bq, boolean treatAsAncestorQuery, com.sas.swing.models.DataItemRoleProvider dataItemRoleProvider, java.util.Locale locale, java.util.Map spanInfo, java.util.Map conditionFormatMap, java.text.Format relationalFilterValueFormatter, java.lang.String labelSeparator, boolean useUnfilteredMetadata, boolean fullyQualifyMemberNames, boolean displayHiddenOLAPFilterItems, java.lang.String olapFilterOutputType)`
`static java.util.List` | `getAppliedFiltersAndOperatorsList(com.sas.iquery.metadata.business.BusinessQuery bq, com.sas.swing.models.DataItemRoleProvider dataItemRoleProvider, java.util.Locale locale, java.util.Map spanInfo, java.util.Map conditionFormatMap, java.text.Format relationalFilterValueFormatter, java.lang.String labelSeparator)`
`static java.util.List` | `getAppliedFiltersAndOperatorsList(com.sas.iquery.metadata.business.BusinessQuery bq, com.sas.swing.models.DataItemRoleProvider dataItemRoleProvider, java.util.Locale locale, java.util.Map spanInfo, java.util.Map conditionFormatMap, java.text.Format relationalFilterValueFormatter, java.lang.String labelSeparator, boolean useUnfilteredMetadata)`
`static java.util.List` | `getAppliedFiltersAndOperatorsList(com.sas.iquery.metadata.business.BusinessQuery bq, java.util.Locale locale, java.util.Map spanInfo, java.util.Map conditionFormatMap, java.text.Format relationalFilterValueFormatter, java.lang.String labelSeparator)`
`static java.lang.String` | `getAxisFilterDescription(com.sas.iquery.metadata.business.BusinessQuery bq, java.util.Map formatMap, java.util.Locale locale, com.sas.iquery.metadata.business.Role role, com.sas.iquery.metadata.business.step.StepInterface step)`
`static java.lang.String` | `getAxisFilterDescription(com.sas.iquery.metadata.business.BusinessQuery bq, java.util.Map formatMap, java.util.Locale locale, com.sas.iquery.metadata.business.Role role, com.sas.iquery.metadata.business.step.StepInterface step, boolean useUnfilteredMetadata)`
`static java.lang.String` | `getAxisFilterDescription(com.sas.iquery.metadata.business.BusinessQuery bq, java.util.Map formatMap, java.util.Locale locale, com.sas.iquery.metadata.business.Role role, com.sas.iquery.metadata.business.step.StepInterface step, boolean useUnfilteredMetadata, boolean fullyQualifyMemberNames)`
`static java.lang.String` | `getDataItemStepFilterDescription(com.sas.iquery.metadata.business.BusinessQuery bq, java.util.Map formatMap, java.util.Locale locale, com.sas.iquery.metadata.business.DataItem dataItem, com.sas.iquery.metadata.business.step.StepInterface step)`
`static java.lang.String` | `getDataItemStepFilterDescription(com.sas.iquery.metadata.business.BusinessQuery bq, java.util.Map formatMap, java.util.Locale locale, com.sas.iquery.metadata.business.DataItem dataItem, com.sas.iquery.metadata.business.step.StepInterface step, boolean useUnfilteredMetadata)`
`static java.lang.String` | `getDataItemStepFilterDescription(com.sas.iquery.metadata.business.BusinessQuery bq, java.util.Map formatMap, java.util.Locale locale, com.sas.iquery.metadata.business.DataItem dataItem, com.sas.iquery.metadata.business.step.StepInterface step, boolean useUnfilteredMetadata, boolean fullyQualifyMemberNames)`
`static java.lang.String` | `getFilterItemDescription(com.sas.iquery.metadata.business.BusinessQuery bq, java.util.Map formatMap, java.util.Locale locale, com.sas.iquery.metadata.business.FilterItem filterItem)`
`static java.lang.String` | `getFilterItemDescription(com.sas.iquery.metadata.business.BusinessQuery bq, java.util.Map formatMap, java.util.Locale locale, com.sas.iquery.metadata.business.FilterItem filterItem, boolean useUnfilteredMetadata)`
`static java.lang.String` | `getFilterItemDescription(com.sas.iquery.metadata.business.BusinessQuery bq, java.util.Map formatMap, java.util.Locale locale, com.sas.iquery.metadata.business.FilterItem filterItem, boolean useUnfilteredMetadata, boolean fullyQualifyMemberNames)`
`static java.util.Map` | `getFormatMap(java.util.Locale locale, java.lang.String conditionFormatType)`
`static java.util.Map` | `getFormatMap(java.util.Locale locale, java.lang.String conditionFormatType, java.lang.String outputType)` Returns a map with format keys mapped to String formats values.
`static java.util.List` | `getRelationalStepFilters(com.sas.iquery.metadata.business.BusinessQuery bq, java.util.Locale locale, java.util.Map spanInfo, java.util.Map conditionFormatMap)`
`static java.util.List` | `getSecuredSlicerMembersFilters(com.sas.iquery.metadata.business.BusinessQuery bq, OLAPDataSetInterface dsi, java.util.Map spanInfo, java.util.Map conditionFormatMap, java.lang.String labelSeparator)`
`static java.util.List` | `getSecuredSlicerMembersFilters(com.sas.iquery.metadata.business.BusinessQuery bq, OLAPDataSetInterface dsi, java.util.Map spanInfo, java.util.Map conditionFormatMap, java.lang.String labelSeparator, boolean useUnfilteredMetadata)`
`static java.util.List` | `getSlicerContent(com.sas.swing.models.DataItemRoleProvider provider, com.sas.iquery.metadata.business.BusinessQuery bq, OLAPDataSetInterface dsi, java.util.Map spanInfo, java.util.Map conditionFormatMap, java.lang.String labelSeparator, java.util.Locale locale)`
`static java.util.List` | `getSlicerContent(com.sas.swing.models.DataItemRoleProvider provider, com.sas.iquery.metadata.business.BusinessQuery bq, OLAPDataSetInterface dsi, java.util.Map spanInfo, java.util.Map conditionFormatMap, java.lang.String labelSeparator, java.util.Locale locale, boolean useUnfilteredMetadata)`
`static java.util.List` | `getSlicerContent(com.sas.swing.models.DataItemRoleProvider provider, com.sas.iquery.metadata.business.BusinessQuery bq, OLAPDataSetInterface dsi, java.util.Map spanInfo, java.util.Map conditionFormatMap, java.lang.String labelSeparator, java.util.Locale locale, boolean useUnfilteredMetadata, boolean fullyQualifyMemberNames)`
`static java.lang.String` | `getTextForStep(java.lang.Object model, java.lang.String cubeName, com.sas.iquery.metadata.business.step.StepInterface step, MetadataInterface metadata, java.util.Locale locale, java.util.Map conditionFormatMap)`
`static java.lang.String` | `getTextForStep(java.lang.Object model, java.lang.String cubeName, com.sas.iquery.metadata.business.step.StepInterface step, MetadataInterface metadata, java.util.Locale locale, java.util.Map conditionFormatMap, boolean useUnfilteredMetadata)`
`static java.lang.String` | `getTextForStep(java.lang.Object model, java.lang.String cubeName, com.sas.iquery.metadata.business.step.StepInterface step, MetadataInterface metadata, java.util.Locale locale, java.util.Map conditionFormatMap, boolean useUnfilteredMetadata, boolean fullyQualifyMemberNames)`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

### OLAPFILTERS_BUSINESSQUERY_STEPS_ONLY

    public static final java.lang.String OLAPFILTERS_BUSINESSQUERY_STEPS_ONLY

  Constant indicating only OLAP applied BusinessQuery role step filters will be described. All other applied OLAP filters will be ignored, including DataItem step filters.

  See Also:
    Constant Field Values

### OLAPFILTERS_IGNORE_BUSINESSQUERY_STEPS

    public static final java.lang.String OLAPFILTERS_IGNORE_BUSINESSQUERY_STEPS

  Constant indicating OLAP BusinessQuery role step filters will be ignored. All other applied OLAP filters will be described.

  See Also:
    Constant Field Values

### OLAPFILTERS_ALL

    public static final java.lang.String OLAPFILTERS_ALL

  Constant indicating all applied OLAP filters will be described.

  See Also:
    Constant Field Values

### CONDITION_FORMAT_SYMBOL

    public static final java.lang.String CONDITION_FORMAT_SYMBOL

  Constant defining a format type to format filter expressions using symbols for the conditions (for example, use ">" versus "greater than")

  See Also:
    Constant Field Values

### CONDITION_FORMAT_TEXT

    public static final java.lang.String CONDITION_FORMAT_TEXT

  Constant defining a format type to format filter expressions using words for the conditions (for example, use "greater than" versus ">")

  See Also:
    Constant Field Values

### CONDITION_FORMAT_SYMBOL_NO_LABEL

    public static final java.lang.String CONDITION_FORMAT_SYMBOL_NO_LABEL

  Constant defining a format type to format filter expressions containing no labels and using symbols for the conditions (for example, use ">" versus "greater than")

  See Also:
    Constant Field Values

### CONDITION_FORMAT_TEXT_NO_LABEL

    public static final java.lang.String CONDITION_FORMAT_TEXT_NO_LABEL

  Constant defining a format type to format filter expressions containing no labels and using words for the conditions (for example, use "greater than" versus ">")

  See Also:
    Constant Field Values

### IS_EQUALS

    public static final java.lang.String IS_EQUALS

  Format key defining the format used to format filter expressions containing the "equals" condition.

  See Also:
    Constant Field Values

### IS_NOT_EQUALS

    public static final java.lang.String IS_NOT_EQUALS

  Format key defining the format used to format filter expressions containing the "not equals" condition.

  See Also:
    Constant Field Values

### IS_IN_LIST

    public static final java.lang.String IS_IN_LIST

  Format key defining the format used to format filter expressions containing the "in list" condition.

  See Also:
    Constant Field Values

### IS_NOT_IN_LIST

    public static final java.lang.String IS_NOT_IN_LIST

  Format key defining the format used to format filter expressions containing the "not in list" condition.

  See Also:
    Constant Field Values

### IS_LESS_THAN

    public static final java.lang.String IS_LESS_THAN

  Format key defining the format used to format filter expressions containing the "less than" condition.

  See Also:
    Constant Field Values

### IS_LESS_THAN_OR_EQUAL

    public static final java.lang.String IS_LESS_THAN_OR_EQUAL

  Format key defining the format used to format filter expressions containing the "less than or equals" condition.

  See Also:
    Constant Field Values

### IS_GREATER_THAN

    public static final java.lang.String IS_GREATER_THAN

  Format key defining the format used to format filter expressions containing the "greater than" condition.

  See Also:
    Constant Field Values

### IS_GREATER_THAN_OR_EQUAL

    public static final java.lang.String IS_GREATER_THAN_OR_EQUAL

  Format key defining the format used to format filter expressions containing the "greater than or equals" condition.

  See Also:
    Constant Field Values

### IS_BEFORE

    public static final java.lang.String IS_BEFORE

  Format key defining the format used to format date, time, or timestamp filter expressions containing the "before" condition.

  See Also:
    Constant Field Values

### IS_BEFORE_OR_EQUAL

    public static final java.lang.String IS_BEFORE_OR_EQUAL

  Format key defining the format used to format date, time, or timestamp filter expressions containing the "before or equal to" condition.

  See Also:
    Constant Field Values

### IS_AFTER

    public static final java.lang.String IS_AFTER

  Format key defining the format used to format date, time, or timestamp filter expressions containing the "after" condition.

  See Also:
    Constant Field Values

### IS_AFTER_OR_EQUAL

    public static final java.lang.String IS_AFTER_OR_EQUAL

  Format key defining the format used to format date, time, or timestamp filter expressions containing the "after or equal to" condition.

  See Also:
    Constant Field Values

### IS_BETWEEN

    public static final java.lang.String IS_BETWEEN

  Format key defining the format used to format filter expressions containing the "is between" condition.

  See Also:
    Constant Field Values

### IS_NOT_BETWEEN

    public static final java.lang.String IS_NOT_BETWEEN

  Format key defining the format used to format filter expressions containing the "is not between" condition.

  See Also:
    Constant Field Values

### IS_NULL

    public static final java.lang.String IS_NULL

  Format key defining the format used to format filter expressions containing the "is null" condition.

  See Also:
    Constant Field Values

### IS_NOT_NULL

    public static final java.lang.String IS_NOT_NULL

  Format key defining the format used to format filter expressions containing the "is not null" condition.

  See Also:
    Constant Field Values

### IS_MISSING_VALUE

    public static final java.lang.String IS_MISSING_VALUE

  Format key defining the format used to format filter expressions containing the "is missing value" condition.

  See Also:
    Constant Field Values

### IS_NOT_MISSING_VALUE

    public static final java.lang.String IS_NOT_MISSING_VALUE

  Format key defining the format used to format filter expressions containing the "is not missing value" condition.

  See Also:
    Constant Field Values

### CONTAINS

    public static final java.lang.String CONTAINS

  Format key defining the format used to format filter expressions containing the "contains" condition.

  See Also:
    Constant Field Values

### DOES_NOT_CONTAIN

    public static final java.lang.String DOES_NOT_CONTAIN

  Format key defining the format used to format filter expressions containing the "does not contain" condition.

  See Also:
    Constant Field Values

### LIKE

    public static final java.lang.String LIKE

  Format key defining the format used to format filter expressions containing the "like" condition.

  See Also:
    Constant Field Values

### NOT_LIKE

    public static final java.lang.String NOT_LIKE

  Format key defining the format used to format filter expressions containing the "not like" condition.

  See Also:
    Constant Field Values

### IS_IN_LIST_OR_EQUAL_TO

    public static final java.lang.String IS_IN_LIST_OR_EQUAL_TO

  Format key defining the format used to format filter expressions containing the "is in list or equal to" condition.

  See Also:
    Constant Field Values

### IS_NOT_IN_LIST_OR_EQUAL_TO

    public static final java.lang.String IS_NOT_IN_LIST_OR_EQUAL_TO

  Format key defining the format used to format filter expressions containing the "is not in list or equal to" condition.

  See Also:
    Constant Field Values

### OLAP_EQUAL_TO

    public static final java.lang.String OLAP_EQUAL_TO

  Format key defining the format used to format OLAP member filter expressions containing the "equals" condition.

  See Also:
    Constant Field Values

### OLAP_IS_NOT_EQUAL_TO

    public static final java.lang.String OLAP_IS_NOT_EQUAL_TO

  Format key defining the format used to format OLAP member filter expressions containing the "not equals" condition.

  See Also:
    Constant Field Values

### RANK_WITH_TIES

    public static final java.lang.String RANK_WITH_TIES

  Format key defining the format used to format a ranking filter including ties.

  See Also:
    Constant Field Values

### RANK_WITHOUT_TIES

    public static final java.lang.String RANK_WITHOUT_TIES

  Format key defining the format used to format a ranking filter not including ties.

  See Also:
    Constant Field Values

### RANK_SUM_WITH_TIES

    public static final java.lang.String RANK_SUM_WITH_TIES

  Format key defining the format used to format a ranking sum filter including ties.

  See Also:
    Constant Field Values

### RANK_SUM_WITHOUT_TIES

    public static final java.lang.String RANK_SUM_WITHOUT_TIES

  Format key defining the format used to format a ranking sum filter not including ties.

  See Also:
    Constant Field Values

### ROW_COLUMN_FILTER

    public static final java.lang.String ROW_COLUMN_FILTER

  Format key defining the format used to format a row or column filter.

  See Also:
    Constant Field Values

### STEP_FILTER

    public static final java.lang.String STEP_FILTER

  Format key defining the format used to format a data item step filter.

  See Also:
    Constant Field Values

### FILTER_TEXT_SPAN

    public static final java.lang.String FILTER_TEXT_SPAN

  Constant to identify text to put in span tag surrounding filter text. Can be used to set style class.

  See Also:
    Constant Field Values

### LOGICAL_OPERATOR_SPAN

    public static final java.lang.String LOGICAL_OPERATOR_SPAN

  Constant to identify text to put in span tag surrounding filter logical operators. Can be used to set style class.

  See Also:
    Constant Field Values

### FILTER_LABEL_SPAN

    public static final java.lang.String FILTER_LABEL_SPAN

  Constant to identify text to put in span tag surrounding filter labels. Can be used to set style class.

  See Also:
    Constant Field Values

### TIME_LAST_PERIODS_RELATIVE_FILTER

    public static final java.lang.String TIME_LAST_PERIODS_RELATIVE_FILTER

See Also:
  Constant Field Values

### TIME_FIRST_PERIODS_RELATIVE_FILTER

    public static final java.lang.String TIME_FIRST_PERIODS_RELATIVE_FILTER

See Also:
  Constant Field Values

### TIME_LAST_PERIODS_FILTER

    public static final java.lang.String TIME_LAST_PERIODS_FILTER

See Also:
  Constant Field Values

### TIME_FIRST_PERIODS_FILTER

    public static final java.lang.String TIME_FIRST_PERIODS_FILTER

See Also:
  Constant Field Values

### TIME_PARALLEL_PERIODS_ABSOLUTE_TO_ABSOLUTE_FILTER

    public static final java.lang.String TIME_PARALLEL_PERIODS_ABSOLUTE_TO_ABSOLUTE_FILTER

See Also:
  Constant Field Values

### TIME_PARALLEL_PERIODS_RELATIVE_TO_RELATIVE_FILTER

    public static final java.lang.String TIME_PARALLEL_PERIODS_RELATIVE_TO_RELATIVE_FILTER

See Also:
  Constant Field Values

### TIME_PARALLEL_PERIODS_RELATIVE_TO_ABSOLUTE_FILTER

    public static final java.lang.String TIME_PARALLEL_PERIODS_RELATIVE_TO_ABSOLUTE_FILTER

See Also:
  Constant Field Values

### TIME_PARALLEL_PERIODS_ABSOLUTE_TO_RELATIVE_FILTER

    public static final java.lang.String TIME_PARALLEL_PERIODS_ABSOLUTE_TO_RELATIVE_FILTER

See Also:
  Constant Field Values

### TIME_RANGE_ABSOLUTE_TO_ABSOLUTE_FILTER

    public static final java.lang.String TIME_RANGE_ABSOLUTE_TO_ABSOLUTE_FILTER

See Also:
  Constant Field Values

### TIME_RANGE_RELATIVE_TO_RELATIVE_FILTER

    public static final java.lang.String TIME_RANGE_RELATIVE_TO_RELATIVE_FILTER

See Also:
  Constant Field Values

### TIME_RANGE_RELATIVE_TO_ABSOLUTE_FILTER

    public static final java.lang.String TIME_RANGE_RELATIVE_TO_ABSOLUTE_FILTER

See Also:
  Constant Field Values

### TIME_RANGE_ABSOLUTE_TO_RELATIVE_FILTER

    public static final java.lang.String TIME_RANGE_ABSOLUTE_TO_RELATIVE_FILTER

See Also:
  Constant Field Values

### OUTPUT_TYPE

    public static final java.lang.String OUTPUT_TYPE

See Also:
  Constant Field Values

### OUTPUT_TYPE_HTML

    public static final java.lang.String OUTPUT_TYPE_HTML

See Also:
  Constant Field Values

### OUTPUT_TYPE_TEXT

    public static final java.lang.String OUTPUT_TYPE_TEXT

See Also:
  Constant Field Values

### PROMPT_FORMAT

    public static final java.lang.String PROMPT_FORMAT

  Format key defining the format used to describe a Prompt. Valid values are {0}, {1}, or {2}. The prompt will be formatted as described below based on these values:
  - {0} - the prompt label
  - {1} - the prompt description
  - {2} - the prompt values

  See Also:
    Constant Field Values

Constructor Detail

### AppliedFiltersUtil

    public AppliedFiltersUtil()

Method Detail

### getFormatMap

    public static java.util.Map getFormatMap(java.util.Locale locale,
                                             java.lang.String conditionFormatType,
                                             java.lang.String outputType)

  Returns a map with format keys mapped to String formats values. The format of the conditions in the string formats returned in the Map are dependant on the `conditionFormatType` specified. If the `conditionFormatType` is `CONDITION_FORMAT_SYMBOL`, then the formats for the conditions are expressed in symbols, such as ">" for the IS_GREATER_THAN format key. If the `conditionFormatType` is `CONDITION_FORMAT_TEXT`, then the formats for the conditions are expressed in text, such as "greater than" for the IS_GREATER_THAN format key. The defaults for the English locale are shown below. Unless otherwise specified, {0} represents the filter item label and {1} represents the filter values in the format strings.

  Format key constant | Format Value CONDITION_FORMAT_SYMBOL | Format Value CONDITION_FORMAT_TEXT | Comments
  --- | --- | --- | ---
  IS_EQUALS | {0} = {1} | {0} equal to {1} |
  IS_NOT_EQUALS | {0} <> {1} | {0} not equal to {1} |
  IS_IN_LIST | {0} = {1} | {0} in list {1} |
  IS_NOT_IN_LIST | {0} <> {1} | {0} not in list {1} |
  IS_LESS_THAN | {0} < {1} | {0} less than {1} |
  IS_LESS_THAN_OR_EQUAL | {0} <= {1} | {0} less than or equal to {1} |
  IS_GREATER_THAN | {0} > {1} | {0} greater than {1} |
  IS_GREATER_THAN_OR_EQUAL | {0} >= {1} | {0} greater than or equal to {1} |
  IS_BETWEEN | {0} >= {1} AND {0} <= {2} | {0} between {1} and {2} | {1} first value(s), {2} second value(s)
  IS_NOT_BETWEEN | {0} < {1} OR {0} > {2} | {0} not between {1} and {2} | {1} first value(s), {2} second value(s)
  IS_NULL | {0} is MISSING VALUE | {0} is missing value |
  IS_NOT_NULL | {0} is not MISSING VALUE | {0} is not missing value |
  IS_MISSING_VALUE | {0} is MISSING VALUE | {0} is missing value |
  IS_NOT_MISSING_VALUE | {0} is not MISSING VALUE | {0} is not missing value |
  CONTAINS | {0} CONTAINS {1} | {0} contains {1} |
  DOES_NOT_CONTAIN | NOT ({0} CONTAINS {1}) | {0} does not contain {1} |
  LIKE | {0} LIKE {1} | {0} like {1} |
  IS_IN_LIST_OR_EQUAL_TO | {0} = {1} | {0} equal to {1} |
  IS_NOT_IN_LIST_OR_EQUAL_TO | {0} <> ({1}) | {0} not equal to ({1}) |
  OLAP_EQUAL_TO | {0} | same | {0} represents member values
  OLAP_IS_NOT_EQUAL_TO | NOT ({0}) | same | {0} represents member values |
  RANK_WITH_TIES | {0} {1} {2} (including ties) based on {3} | same | {0) rank label (e.g. Top or Bottom), {1} rank value, {2} rank type, {3} members
  RANK_WITHOUT_TIES | {0} {1} {2} (not including ties) based on {3} | same | {0) rank label (e.g. Top or Bottom), {1} rank value, {2} rank type, {3} members
  RANK_SUM_WITH_TIES | {0} {1} Sum (including ties) based on {2} | same | {0) rank label (e.g. Top or Bottom), {1} rank value, {2} members
  RANK_SUM_WITHOUT_TIES | {0} {1} Sum (not including ties) based on {2} | same | {0) rank label (e.g. Top or Bottom), {1} rank value, {2} members
  *
  PROMPT_FORMAT | {2} | same | Defines the format used to describe a Prompt. The default value contained in the format map is {2} which displays the prompt values. Other valid values include {0} and {1}, where {0} will display the prompt label and {1} will display the prompt description.

  Parameters:
    `locale` - the Locale for which to return the default formats
  Returns:
    a Map containing default formats with conditions expressed in either symbols or text used to format filter expressions

### getFormatMap

    public static java.util.Map getFormatMap(java.util.Locale locale,
                                             java.lang.String conditionFormatType)

### getAppliedFilters

    public static java.util.List getAppliedFilters(java.lang.Object model)

  Returns a List of Strings representing the filters applied to the model for the default locale. The model expected is a com.sas.iquery.intelligentquery.BusinessQueryProviderInterface, or a com.sas.iquery.metadata.business.DataSelection.

  Parameters:
    `model` - the model for which applied filter should be returned
  Returns:
    a List of Strings representing the filters applied to the model.

### getAppliedFilters

    public static java.util.List getAppliedFilters(java.lang.Object model,
                                                   java.util.Locale locale,
                                                   boolean wrapText)

  Returns a List of Strings representing the filters applied to the model. The model expected is a com.sas.iquery.intelligentquery.BusinessQueryProviderInterface, or a com.sas.iquery.metadata.business.DataSelection.

  Parameters:
    `model` - the model for which applied filter should be returned
    `locale` - the Locale to use
    `wrapText` - indicates if filter text for relational filters should be wrapped or indented to represent groupings
  Returns:
    a List of Strings representing the filters applied to the model.

### getAppliedFilters

    public static java.util.List getAppliedFilters(java.lang.Object model,
                                                   java.util.Locale locale,
                                                   boolean wrapText,
                                                   java.util.Map spanInfo,
                                                   java.util.Map conditionFormatMap,
                                                   java.text.Format relationalFilterValueFormatter,
                                                   java.lang.String labelSeparator)

  Returns a List of Strings representing the filters applied to the model. The model expected is a com.sas.iquery.intelligentquery.BusinessQueryProviderInterface, or a com.sas.iquery.metadata.business.DataSelection.

  Parameters:
    `model` - the model for which applied filter should be returned
    `locale` - the Locale to use
    `wrapText` - indicates if filter text for relational filters should be wrapped or indented to represent groupings
    `spanInfo` - Map containing text to put in span tags surrounding filter text
    `conditionFormatMap` - a Map containing custom formats used to format filter expressions.
    `relationalFilterValueFormatter` - the Format object used to format relational filter values
  Returns:
    a List of Strings representing the filters applied to the model.

### getAppliedFilters

    public static java.util.List getAppliedFilters(java.lang.Object model,
                                                   java.util.Locale locale,
                                                   boolean wrapText,
                                                   java.util.Map spanInfo,
                                                   java.util.Map conditionFormatMap,
                                                   java.text.Format relationalFilterValueFormatter,
                                                   java.lang.String labelSeparator,
                                                   int relationalOutputType)

  Returns a List of Strings representing the filters applied to the model. The model expected is a com.sas.iquery.intelligentquery.BusinessQueryProviderInterface, or a com.sas.iquery.metadata.business.DataSelection.

  Parameters:
    `model` - the model for which applied filter should be returned
    `locale` - the Locale to use
    `wrapText` - indicates if filter text for relational filters should be wrapped or indented to represent groupings
    `spanInfo` - Map containing text to put in span tags surrounding filter text
    `conditionFormatMap` - a Map containing custom formats used to format filter expressions.
    `relationalFilterValueFormatter` - the Format object used to format relational filter values
    `relationalOutputType` - Set to either com.sas.dataselectors.filters.Util.HTML or com.sas.dataselectors.filters.Util.TEXT. Used to write appropriate spaces and line breaks in relational filters.
  Returns:
    a List of Strings representing the filters applied to the model.

### getAppliedFilters

    public static java.util.List getAppliedFilters(java.lang.Object model,
                                                   com.sas.swing.models.DataItemRoleProvider dataItemRoleProvider,
                                                   java.util.Locale locale,
                                                   boolean wrapText,
                                                   java.util.Map spanInfo,
                                                   java.util.Map conditionFormatMap,
                                                   java.text.Format relationalFilterValueFormatter,
                                                   java.lang.String labelSeparator,
                                                   int relationalOutputType)

  Returns a List of Strings representing the filters applied to the model. The model expected is a com.sas.iquery.intelligentquery.BusinessQueryProviderInterface, or a com.sas.iquery.metadata.business.DataSelection.

  Parameters:
    `model` - the model for which applied filter should be returned
    `dataItemRoleProvider` - the provider used to provide data items for determining output for slicer content display
    `locale` - the Locale to use
    `wrapText` - indicates if filter text for relational filters should be wrapped or indented to represent groupings
    `spanInfo` - Map containing text to put in span tags surrounding filter text
    `conditionFormatMap` - a Map containing custom formats used to format filter expressions.
    `relationalFilterValueFormatter` - the Format object used to format relational filter values
    `relationalOutputType` - Set to either com.sas.dataselectors.filters.Util.HTML or com.sas.dataselectors.filters.Util.TEXT. Used to write appropriate spaces and line breaks in relational filters.
  Returns:
    a List of Strings representing the filters applied to the model.

### getAppliedFilters

    public static java.util.List getAppliedFilters(java.lang.Object model,
                                                   com.sas.swing.models.DataItemRoleProvider dataItemRoleProvider,
                                                   java.util.Locale locale,
                                                   boolean wrapText,
                                                   java.util.Map spanInfo,
                                                   java.util.Map conditionFormatMap,
                                                   java.text.Format relationalFilterValueFormatter,
                                                   java.lang.String labelSeparator,
                                                   int relationalOutputType,
                                                   boolean useUnfilteredMetadata)

  Returns a List of Strings representing the filters applied to the model. The model expected is a com.sas.iquery.intelligentquery.BusinessQueryProviderInterface, or a com.sas.iquery.metadata.business.DataSelection.

  Parameters:
    `model` - the model for which applied filter should be returned
    `dataItemRoleProvider` - the provider used to provide data items for determining output for slicer content display
    `locale` - the Locale to use
    `wrapText` - indicates if filter text for relational filters should be wrapped or indented to represent groupings
    `spanInfo` - Map containing text to put in span tags surrounding filter text
    `conditionFormatMap` - a Map containing custom formats used to format filter expressions.
    `relationalFilterValueFormatter` - the Format object used to format relational filter values
    `relationalOutputType` - Set to either com.sas.dataselectors.filters.Util.HTML or com.sas.dataselectors.filters.Util.TEXT. Used to write appropriate spaces and line breaks in relational filters.
    `useUnfilteredMetadata` - whether a filtered of unfiltered view of the cube should be used when communicating with the olap metadata server for OLAP related metadata
  Returns:
    a List of Strings representing the filters applied to the model.

### getAppliedFilters

    public static java.util.List getAppliedFilters(java.lang.Object model,
                                                   boolean treatAsAncestorQuery,
                                                   com.sas.swing.models.DataItemRoleProvider dataItemRoleProvider,
                                                   java.util.Locale locale,
                                                   boolean wrapText,
                                                   java.util.Map spanInfo,
                                                   java.util.Map conditionFormatMap,
                                                   java.text.Format relationalFilterValueFormatter,
                                                   java.lang.String labelSeparator,
                                                   int relationalOutputType,
                                                   boolean useUnfilteredMetadata,
                                                   boolean fullyQualifyMemberNames,
                                                   boolean displayHiddenOLAPFilterItems,
                                                   java.lang.String olapFilterOutputType)

  Returns a List of Strings representing the filters applied to the model. The model expected is a com.sas.iquery.intelligentquery.BusinessQueryProviderInterface, or a com.sas.iquery.metadata.business.DataSelection.

  Parameters:
    `model` - the model for which applied filter should be returned
    `treatAsAncestorQuery` -
    `dataItemRoleProvider` - the provider used to provide data items for determining output for slicer content display
    `locale` - the Locale to use
    `wrapText` - indicates if filter text for relational filters should be wrapped or indented to represent groupings
    `spanInfo` - Map containing text to put in span tags surrounding filter text
    `conditionFormatMap` - a Map containing custom formats used to format filter expressions.
    `relationalFilterValueFormatter` - the Format object used to format relational filter values
    `relationalOutputType` - Set to either com.sas.dataselectors.filters.Util.HTML or com.sas.dataselectors.filters.Util.TEXT. Used to write appropriate spaces and line breaks in relational filters.
    `useUnfilteredMetadata` - whether a filtered of unfiltered view of the cube should be used when communicating with the olap metadata server for OLAP related metadata
    `fullyQualifyMemberNames` - whether OLAP member names should be displayed fully qualified
    `olopFilterOutputType` - constant indicating which type of OLAP filters should be described.
  Returns:
    a List of Strings representing the filters applied to the model.

### getFilterItemDescription

    public static java.lang.String getFilterItemDescription(com.sas.iquery.metadata.business.BusinessQuery bq,
                                                            java.util.Map formatMap,
                                                            java.util.Locale locale,
                                                            com.sas.iquery.metadata.business.FilterItem filterItem)

### getFilterItemDescription

    public static java.lang.String getFilterItemDescription(com.sas.iquery.metadata.business.BusinessQuery bq,
                                                            java.util.Map formatMap,
                                                            java.util.Locale locale,
                                                            com.sas.iquery.metadata.business.FilterItem filterItem,
                                                            boolean useUnfilteredMetadata)

### getFilterItemDescription

    public static java.lang.String getFilterItemDescription(com.sas.iquery.metadata.business.BusinessQuery bq,
                                                            java.util.Map formatMap,
                                                            java.util.Locale locale,
                                                            com.sas.iquery.metadata.business.FilterItem filterItem,
                                                            boolean useUnfilteredMetadata,
                                                            boolean fullyQualifyMemberNames)

### getAxisFilterDescription

    public static java.lang.String getAxisFilterDescription(com.sas.iquery.metadata.business.BusinessQuery bq,
                                                            java.util.Map formatMap,
                                                            java.util.Locale locale,
                                                            com.sas.iquery.metadata.business.Role role,
                                                            com.sas.iquery.metadata.business.step.StepInterface step)

### getAxisFilterDescription

    public static java.lang.String getAxisFilterDescription(com.sas.iquery.metadata.business.BusinessQuery bq,
                                                            java.util.Map formatMap,
                                                            java.util.Locale locale,
                                                            com.sas.iquery.metadata.business.Role role,
                                                            com.sas.iquery.metadata.business.step.StepInterface step,
                                                            boolean useUnfilteredMetadata)

### getAxisFilterDescription

    public static java.lang.String getAxisFilterDescription(com.sas.iquery.metadata.business.BusinessQuery bq,
                                                            java.util.Map formatMap,
                                                            java.util.Locale locale,
                                                            com.sas.iquery.metadata.business.Role role,
                                                            com.sas.iquery.metadata.business.step.StepInterface step,
                                                            boolean useUnfilteredMetadata,
                                                            boolean fullyQualifyMemberNames)

### getDataItemStepFilterDescription

    public static java.lang.String getDataItemStepFilterDescription(com.sas.iquery.metadata.business.BusinessQuery bq,
                                                                    java.util.Map formatMap,
                                                                    java.util.Locale locale,
                                                                    com.sas.iquery.metadata.business.DataItem dataItem,
                                                                    com.sas.iquery.metadata.business.step.StepInterface step)

### getDataItemStepFilterDescription

    public static java.lang.String getDataItemStepFilterDescription(com.sas.iquery.metadata.business.BusinessQuery bq,
                                                                    java.util.Map formatMap,
                                                                    java.util.Locale locale,
                                                                    com.sas.iquery.metadata.business.DataItem dataItem,
                                                                    com.sas.iquery.metadata.business.step.StepInterface step,
                                                                    boolean useUnfilteredMetadata)

### getDataItemStepFilterDescription

    public static java.lang.String getDataItemStepFilterDescription(com.sas.iquery.metadata.business.BusinessQuery bq,
                                                                    java.util.Map formatMap,
                                                                    java.util.Locale locale,
                                                                    com.sas.iquery.metadata.business.DataItem dataItem,
                                                                    com.sas.iquery.metadata.business.step.StepInterface step,
                                                                    boolean useUnfilteredMetadata,
                                                                    boolean fullyQualifyMemberNames)

### getTextForStep

    public static java.lang.String getTextForStep(java.lang.Object model,
                                                  java.lang.String cubeName,
                                                  com.sas.iquery.metadata.business.step.StepInterface step,
                                                  MetadataInterface metadata,
                                                  java.util.Locale locale,
                                                  java.util.Map conditionFormatMap)

### getTextForStep

    public static java.lang.String getTextForStep(java.lang.Object model,
                                                  java.lang.String cubeName,
                                                  com.sas.iquery.metadata.business.step.StepInterface step,
                                                  MetadataInterface metadata,
                                                  java.util.Locale locale,
                                                  java.util.Map conditionFormatMap,
                                                  boolean useUnfilteredMetadata)

### getTextForStep

    public static java.lang.String getTextForStep(java.lang.Object model,
                                                  java.lang.String cubeName,
                                                  com.sas.iquery.metadata.business.step.StepInterface step,
                                                  MetadataInterface metadata,
                                                  java.util.Locale locale,
                                                  java.util.Map conditionFormatMap,
                                                  boolean useUnfilteredMetadata,
                                                  boolean fullyQualifyMemberNames)

### getSlicerContent

    public static java.util.List getSlicerContent(com.sas.swing.models.DataItemRoleProvider provider,
                                                  com.sas.iquery.metadata.business.BusinessQuery bq,
                                                  OLAPDataSetInterface dsi,
                                                  java.util.Map spanInfo,
                                                  java.util.Map conditionFormatMap,
                                                  java.lang.String labelSeparator,
                                                  java.util.Locale locale)

### getSlicerContent

    public static java.util.List getSlicerContent(com.sas.swing.models.DataItemRoleProvider provider,
                                                  com.sas.iquery.metadata.business.BusinessQuery bq,
                                                  OLAPDataSetInterface dsi,
                                                  java.util.Map spanInfo,
                                                  java.util.Map conditionFormatMap,
                                                  java.lang.String labelSeparator,
                                                  java.util.Locale locale,
                                                  boolean useUnfilteredMetadata)

### getSlicerContent

    public static java.util.List getSlicerContent(com.sas.swing.models.DataItemRoleProvider provider,
                                                  com.sas.iquery.metadata.business.BusinessQuery bq,
                                                  OLAPDataSetInterface dsi,
                                                  java.util.Map spanInfo,
                                                  java.util.Map conditionFormatMap,
                                                  java.lang.String labelSeparator,
                                                  java.util.Locale locale,
                                                  boolean useUnfilteredMetadata,
                                                  boolean fullyQualifyMemberNames)

### getSecuredSlicerMembersFilters

    public static java.util.List getSecuredSlicerMembersFilters(com.sas.iquery.metadata.business.BusinessQuery bq,
                                                                OLAPDataSetInterface dsi,
                                                                java.util.Map spanInfo,
                                                                java.util.Map conditionFormatMap,
                                                                java.lang.String labelSeparator)

### getSecuredSlicerMembersFilters

    public static java.util.List getSecuredSlicerMembersFilters(com.sas.iquery.metadata.business.BusinessQuery bq,
                                                                OLAPDataSetInterface dsi,
                                                                java.util.Map spanInfo,
                                                                java.util.Map conditionFormatMap,
                                                                java.lang.String labelSeparator,
                                                                boolean useUnfilteredMetadata)

### getAppliedFiltersAndOperatorsList

    public static java.util.List getAppliedFiltersAndOperatorsList(com.sas.iquery.metadata.business.BusinessQuery bq,
                                                                   java.util.Locale locale,
                                                                   java.util.Map spanInfo,
                                                                   java.util.Map conditionFormatMap,
                                                                   java.text.Format relationalFilterValueFormatter,
                                                                   java.lang.String labelSeparator)

### getAppliedFiltersAndOperatorsList

    public static java.util.List getAppliedFiltersAndOperatorsList(com.sas.iquery.metadata.business.BusinessQuery bq,
                                                                   com.sas.swing.models.DataItemRoleProvider dataItemRoleProvider,
                                                                   java.util.Locale locale,
                                                                   java.util.Map spanInfo,
                                                                   java.util.Map conditionFormatMap,
                                                                   java.text.Format relationalFilterValueFormatter,
                                                                   java.lang.String labelSeparator)

### getAppliedFiltersAndOperatorsList

    public static java.util.List getAppliedFiltersAndOperatorsList(com.sas.iquery.metadata.business.BusinessQuery bq,
                                                                   com.sas.swing.models.DataItemRoleProvider dataItemRoleProvider,
                                                                   java.util.Locale locale,
                                                                   java.util.Map spanInfo,
                                                                   java.util.Map conditionFormatMap,
                                                                   java.text.Format relationalFilterValueFormatter,
                                                                   java.lang.String labelSeparator,
                                                                   boolean useUnfilteredMetadata)

### getAppliedFiltersAndOperatorsList

    public static java.util.List getAppliedFiltersAndOperatorsList(com.sas.iquery.metadata.business.BusinessQuery bq,
                                                                   boolean treatAsAncestorQuery,
                                                                   com.sas.swing.models.DataItemRoleProvider dataItemRoleProvider,
                                                                   java.util.Locale locale,
                                                                   java.util.Map spanInfo,
                                                                   java.util.Map conditionFormatMap,
                                                                   java.text.Format relationalFilterValueFormatter,
                                                                   java.lang.String labelSeparator,
                                                                   boolean useUnfilteredMetadata)

### getAppliedFiltersAndOperatorsList

    public static java.util.List getAppliedFiltersAndOperatorsList(com.sas.iquery.metadata.business.BusinessQuery bq,
                                                                   boolean treatAsAncestorQuery,
                                                                   com.sas.swing.models.DataItemRoleProvider dataItemRoleProvider,
                                                                   java.util.Locale locale,
                                                                   java.util.Map spanInfo,
                                                                   java.util.Map conditionFormatMap,
                                                                   java.text.Format relationalFilterValueFormatter,
                                                                   java.lang.String labelSeparator,
                                                                   boolean useUnfilteredMetadata,
                                                                   boolean fullyQualifyMemberNames,
                                                                   boolean displayHiddenOLAPFilterItems,
                                                                   java.lang.String olapFilterOutputType)

### getRelationalStepFilters

    public static java.util.List getRelationalStepFilters(com.sas.iquery.metadata.business.BusinessQuery bq,
                                                          java.util.Locale locale,
                                                          java.util.Map spanInfo,
                                                          java.util.Map conditionFormatMap)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.